function User(){

  var getDateData = function(dateData){
    jQuery('#eb_id').val('');
    jQuery('#eb_date').val('');
    jQuery('#eb_name').val('');
    jQuery('#eb_description').val('');
    jQuery('#eb_file').val('');
    jQuery('#eb_status').removeAttr("checked");
    
    jQuery.ajax({
        url: ajaxurl,
        type:'POST',
        dataType: 'json',
        data:'action=getDateData&dateData='+dateData,
        success:function(response){
          jQuery('#insert_form').slideDown();
          jQuery('#eb_id').val(response.id);
          jQuery('#eb_date').val(response.date);
          jQuery('#eb_name').val(response.name);
          jQuery('#eb_description').val(response.description);
          jQuery('#eb_file').val(response.img_src);
          
          if(response.img_src != undefined){
            jQuery('.existing_file').slideDown();
            jQuery('#delete_container').html('<input class="button-primary" type="submit" name="delete" value="Delete" />');
            jQuery('#existing_file').attr('src', base_url+'/wp-content/uploads/event_banner/'+response.img_src);
          }else{
            jQuery('.existing_file').slideUp();
            jQuery('#delete_container').html('');
          }
          
          if(response.status == 1){
            jQuery('#eb_status').attr("checked", "yes");
          }else{
            jQuery('#eb_status').removeAttr("checked");
          }
          
        }
    });
  }
  
  var getLRefData = function(lrefDataId){
    jQuery.ajax({
        url: ajaxurl,
        type:'POST',
        dataType: 'json',
        data:'action=getLRefData&lrefDataId='+lrefDataId,
        success:function(response){
          jQuery('#insert_form').slideDown();
          jQuery('#eb_id').val(response.id);
          jQuery('#eb_link_referer').val(response.link_referer);
          jQuery('#eb_name').val(response.name);
          jQuery('#eb_description').val(response.description);
          jQuery('#eb_file').val(response.img_src);
          
          if(response.img_src != undefined){
            jQuery('.existing_file').slideDown();
            jQuery('#delete_container').html('<input class="button-primary" type="submit" name="delete" value="Delete" />');
            jQuery('#existing_file').attr('src', base_url+'/wp-content/uploads/event_banner/'+response.img_src);
          }else{
            jQuery('.existing_file').slideUp();
            jQuery('#delete_container').html('');
          }
          
          if(response.status == 1){
            jQuery('#eb_status').attr("checked", "yes");
          }else{
            jQuery('#eb_status').removeAttr("checked");
          }
          
        }
    });
  }
  
  var getLRefChangeStatus = function(lrefDataId){
    var setStatus = jQuery('#'+lrefDataId).val();
    if(setStatus == 'Enable'){
      setStatus = 1;
    }else{
      setStatus = 0;
    }
    
    jQuery.ajax({
        url: ajaxurl,
        type:'POST',
        dataType: 'json',
        data:'action=getLRefChangeStatus&lrefDataId='+lrefDataId+'&setStatus='+setStatus,
        success:function(response){
          if(response.status == 0){
            jQuery('#'+lrefDataId).val('Enable');
          }else{
            jQuery('#'+lrefDataId).val('Disable');
          }
        }
    });
  }
  
  var getLRefDelete = function(lrefDataId){
    jQuery.ajax({
        url: ajaxurl,
        type:'POST',
        dataType: 'json',
        data:'action=getLRefDelete&lrefDataId='+lrefDataId,
        success:function(response){
          if(response == 1){
            location.href = base_url+'/wp-admin/admin.php?page=link_referer';
          }
        }
    });
  }
  
  this.clickDate = function(){
    jQuery('.cal_date_i').click(function(){
      getDateData(this.id);
    });
  }

  this.lRefEdit = function(){
    jQuery('.link_referer_edit').click(function(){
      getLRefData(this.id);
    });
  }

  this.lRefChangeStatus = function(){
    jQuery('.link_referer_change_status').click(function(){
      getLRefChangeStatus(this.id);
    });
  }

  this.lRefDelete = function(){
    jQuery('.link_referer_delete').click(function(){
      getLRefDelete(this.id);
    });
  }
  
  this.cancelAddEdit = function(){
    jQuery('#cancel_add_edit').click(function(){
      jQuery('#insert_form').slideUp();
      jQuery('.existing_file').slideUp();
    });
  }

  this.clickAddLinkReferer = function(){
    jQuery('.button_add_link_referer').click(function(){
      jQuery('#eb_id').val('');
      jQuery('#eb_link_referer').val('');
      jQuery('#eb_name').val('');
      jQuery('#eb_description').val('');
      jQuery('#eb_file').val('');
      jQuery('#insert_form').slideDown();
    });
  }

};

jQuery(document).ready(function(){
  var user = new User();
  
  user.clickDate();
  user.cancelAddEdit();
  
  user.clickAddLinkReferer();
  user.lRefEdit();
  user.lRefChangeStatus();
  user.lRefDelete();
  
  jQuery('#insert_form').slideUp();
});

