<?php
global $wpdb;
  
if($_POST['save'] == 'Save'){
  
  /* getting wp default upload directory */
  $target_path_array = wp_upload_dir();
  $target_path = $target_path_array['basedir'];
  
  /* avoiding if wp default upload directory are not exist */
  if(!file_exists($target_path)){
    @mkdir($target_path."/");
  }

  /* creating and avoiding if directory event banner on wp default upload directory are not exist */
  $target_path = $target_path . "/event_banner";
  if(!file_exists($target_path)){
    @mkdir($target_path."/");
  }
  
  if(empty($_POST['event']['id'])){
    /* new mode */
  
    if(!empty($_FILES['image'])){
      /* rename the file name */
      $ext = substr($_FILES['image']['name'], strpos($_FILES['image']['name'], '.'));
      $new_name = $_POST['event']['date'].$ext;
      /* upload image */
      if(move_uploaded_file($_FILES['image']['tmp_name'], $target_path.'/'.$new_name)) { 
        /* success upload handler */
      } else { 
        /* error upload handler */
      }
      /* save to database */
      $wpdb->insert($wpdb->prefix.'event_banner', array(
        'date' => $_POST['event']['date'],
        'name' => $_POST['event']['name'],
        'description' => $_POST['event']['description'],
        'status' => $_POST['event']['status'],
        'img_src' => $new_name
      ));
    }
    
    
  }elseif(!empty($_POST['event']['id'])){
    /* edit mode */
    
    $re_upload = FALSE;
    
    if(!empty($_FILES['image']['name'])){
      /* remove teh old file */
      @unlink($target_path.'/'.$_POST['event']['file']);
      /* rename the file name */
      $ext = substr($_FILES['image']['name'], strpos($_FILES['image']['name'], '.'));
      $new_name = $_POST['event']['date'].$ext;
      /* upload image if re-upload */
      if(move_uploaded_file($_FILES['image']['tmp_name'], $target_path.'/'.$new_name)) { 
        $re_upload = TRUE;
        /* success upload handler */
      } else { 
        /* error upload handler */
      }
    }
    
    if($re_upload){
      $img_src = $new_name;
    }elseif(!$re_upload){
      $img_src = $_POST['event']['file'];
    }
    
    /* save to database */
    $wpdb->update($wpdb->prefix.'event_banner', array(
      'name' => $_POST['event']['name'],
      'description' => $_POST['event']['description'],
      'status' => $_POST['event']['status'],
      'img_src' => $img_src
    ), array('id' => $_POST['event']['id']));
    
  }
  
}elseif($_POST['delete'] == 'Delete'){
  /* getting wp default upload directory */
  $target_path_array = wp_upload_dir();
  $target_path = $target_path_array['basedir'];
  
  /* avoiding if wp default upload directory are not exist */
  if(!file_exists($target_path)){
    @mkdir($target_path."/");
  }

  /* creating and avoiding if directory event banner on wp default upload directory are not exist */
  $target_path = $target_path . "/event_banner";
  if(!file_exists($target_path)){
    @mkdir($target_path."/");
  }
  
  @unlink($target_path.'/'.$_POST['event']['file']);
  $wpdb->query('DELETE FROM '.$wpdb->prefix.'event_banner WHERE id = "'.$_POST['event']['id'].'"');
}

$filled_dates = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."event_banner");
foreach($filled_dates as $dates){
  $marked_dates[] = $dates->date;
}

$date_mark = array('class' => 'orange', 'data' => $marked_dates);

$calendar->marker($date_mark);

?>
<div class="wrap">

  <div id="icon-edit" class="icon32"></div>
  <h2>Event Banner - Event List</h2>

  <div class="eb_wrap">
  <div class="form_container" id="insert_form">
    <form name="insert_event_form" method="POST" action="?page=events" enctype="multipart/form-data">
      <table class="widefat">
        <thead>
          <tr>
            <th colspan="3">Please Describe Your Event</th>
          </tr>
        </thead>
        <tfoot>
          <tr>
            <th colspan="3">
              After you have finish you can "Save" and "Select Date" again
              or "Select Date" to cancel
            </th>
          </tr>
        </tfoot>
        <tbody>
          <tr valign="top">
            <td>Event Name</td>
            <td>:</td>
            <td><input type="text" id="eb_name" name="event[name]" /></td>
          </tr>
          <tr valign="top">
            <td>Description</td>
            <td>:</td>
            <td><textarea id="eb_description" name="event[description]"></textarea></td>
          </tr>
          <tr valign="top" class="existing_file">
            <td>Existing Image</td>
            <td>:</td>
            <td><div class="existing_file_container"><img id="existing_file" src="" /></div></td>
          </tr>
          <tr valign="top">
            <td>Image</td>
            <td>:</td>
            <td><input type="file" name="image" /></td>
          </tr>
          <tr valign="top">
            <td>Enable</td>
            <td>:</td>
            <td><input type="checkbox" name="event[status]" id="eb_status" value="1" /></td>
          </tr>
          <tr valign="top">
            <td>&nbsp;</td>
            <td>
              <input type="hidden" name="event[id]" id="eb_id" value="" />
              <input type="hidden" name="event[date]" id="eb_date" value="" />
              <input type="hidden" name="event[file]" id="eb_file" value="" />
            </td>
            <td>
              <input class="button-primary" type="submit" name="save" value="Save" />
              <input class="button-secondary" type="button" id="cancel_add_edit" value="Cancel" />
              <p id="delete_container"></p>
            </td>
          </tr>
        </tbody>
      </table>
    </form>
  </div>
  
  <div class="calendars">
    <?php for($i=1;$i<13;$i++): ?>
    <div class="calendar">
      <?php echo $calendar->show($i); ?>
    </div>
    <?php endfor; ?>
  </div>
  
  <div class="clearfix"></div>
  </div>
</div>
