<?php
global $wpdb;
  
if($_POST['save'] == 'Save'){
  /* getting wp default upload directory */
  $target_path_array = wp_upload_dir();
  $target_path = $target_path_array['basedir'];
  
  /* avoiding if wp default upload directory are not exist */
  if(!file_exists($target_path)){
    @mkdir($target_path."/");
  }

  if(!is_readable($target_path) && !is_executable($target_path)){
    $errors = '<span style="color:red">set your "/wp-content/uploads" directory permission to 755</span>';
  }else{

    /* creating and avoiding if directory event banner on wp default upload directory are not exist */
    $target_path = $target_path . "/event_banner";
    if(!file_exists($target_path)){
      @mkdir($target_path."/");
    }
    
    if(empty($_POST['event']['id'])){
      /* new mode */
    
      if(!empty($_FILES['image']['name'])){
        /* rename the file name */
        $ext = substr($_FILES['image']['name'], strpos($_FILES['image']['name'], '.'));
        $new_name = date('mydhis').$ext;
        /* upload image */
        if(move_uploaded_file($_FILES['image']['tmp_name'], $target_path.'/'.$new_name)) { 
          /* success upload handler */
        } else { 
          /* error upload handler */
        }
        /* save to database */
        $wpdb->insert($wpdb->prefix.'event_banner', array(
          'link_referer' => $_POST['event']['link_referer'],
          'name' => $_POST['event']['name'],
          'description' => $_POST['event']['description'],
          'status' => $_POST['event']['status'],
          'img_src' => $new_name
        ));
      }
      
      
    }elseif(!empty($_POST['event']['id'])){
      /* edit mode */
      
      $re_upload = FALSE;
      
      if(!empty($_FILES['image']['name'])){
        /* remove teh old file */
        @unlink($target_path.'/'.$_POST['event']['file']);
        /* rename the file name */
        $ext = substr($_FILES['image']['name'], strpos($_FILES['image']['name'], '.'));
        $new_name = date('mydhis').$ext;
        /* upload image if re-upload */
        if(move_uploaded_file($_FILES['image']['tmp_name'], $target_path.'/'.$new_name)) { 
          $re_upload = TRUE;
          /* success upload handler */
        } else { 
          /* error upload handler */
        }
      }
      
      if($re_upload){
        $img_src = $new_name;
      }elseif(!$re_upload){
        $img_src = $_POST['event']['file'];
      }
      
      /* save to database */
      $wpdb->update($wpdb->prefix.'event_banner', array(
        'link_referer' => $_POST['event']['link_referer'],
        'name' => $_POST['event']['name'],
        'description' => $_POST['event']['description'],
        'status' => $_POST['event']['status'],
        'img_src' => $img_src
      ), array('id' => $_POST['event']['id']));
      
    }
  }
}elseif($_POST['delete'] == 'Delete'){
  /* getting wp default upload directory */
  $target_path_array = wp_upload_dir();
  $target_path = $target_path_array['basedir'];
  
  /* avoiding if wp default upload directory are not exist */
  if(!file_exists($target_path)){
    @mkdir($target_path."/");
  }

  /* creating and avoiding if directory event banner on wp default upload directory are not exist */
  $target_path = $target_path . "/event_banner";
  if(!file_exists($target_path)){
    @mkdir($target_path."/");
  }
  
  @unlink($target_path.'/'.$_POST['event']['file']);
  $wpdb->query('DELETE FROM '.$wpdb->prefix.'event_banner WHERE id = "'.$_POST['event']['id'].'"');
}

$q_list_link_referer = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."event_banner WHERE date = ''");

?>
<div class="wrap">
	<div class="icon32" id="icon-edit"><br></div>
  <h2>Event Banner - Link Referer <a class="button add-new-h2 button_add_link_referer" href="javascript:void(0);" id="">Add New</a> </h2>

<form method="get" action="http://localhost/sch/wp-admin/edit.php" id="posts-filter">

<p class="search-box">
	<label for="post-search-input" class="screen-reader-text">Search Posts:</label>
	<input type="text" value="" name="s" id="post-search-input">
	<input type="submit" class="button" value="Search Posts">
</p>

</form>

<div class="clear"><br /></div>
  <div class="eb_wrap">
    <div class="form_container" id="insert_form">
      <form name="insert_event_form" method="POST" action="?page=link_referer" enctype="multipart/form-data">
        <table class="widefat">
          <thead>
            <tr>
              <th colspan="3">Please Describe Your Event <?php echo $errors; ?></th>
            </tr>
          </thead>
          <tfoot>
            <tr>
              <th colspan="3">
                After you have finish you can "Save" and "Select Date" again
                or "Select Date" to cancel
              </th>
            </tr>
          </tfoot>
          <tbody>
            <tr valign="top">
              <td>Name</td>
              <td>:</td>
              <td><input type="text" id="eb_name" name="event[name]" /></td>
            </tr>
            <tr valign="top">
              <td>Link Referer</td>
              <td>:</td>
              <td><input type="text" id="eb_link_referer" name="event[link_referer]" /></td>
            </tr>
            <tr valign="top">
              <td>Description</td>
              <td>:</td>
              <td><textarea id="eb_description" name="event[description]"></textarea></td>
            </tr>
            <tr valign="top" class="existing_file">
              <td>Existing Image</td>
              <td>:</td>
              <td><div class="existing_file_container"><img id="existing_file" src="" /></div></td>
            </tr>
            <tr valign="top">
              <td>Image</td>
              <td>:</td>
              <td><input type="file" name="image" /></td>
            </tr>
          <tr valign="top">
            <td>Enable</td>
            <td>:</td>
            <td><input type="checkbox" name="event[status]" id="eb_status" value="1" /></td>
          </tr>
            <tr valign="top">
              <td>&nbsp;</td>
              <td>
                <input type="hidden" name="event[id]" id="eb_id" value="" />
                <input type="hidden" name="event[date]" id="eb_date" value="" />
                <input type="hidden" name="event[file]" id="eb_file" value="" />
              </td>
              <td>
                <input class="button-primary" type="submit" name="save" value="Save" />
                <input class="button-secondary" type="button" id="cancel_add_edit" value="Cancel" />
                <p id="delete_container"></p>
              </td>
            </tr>
          </tbody>
        </table>
      </form>
    </div>
<div class="tablenav">
    <table cellspacing="0" class="widefat post fixed">
      <thead>
        <tr>
          <th>Image</th>
          <th>Link Referer</th>
          <th>Name</th>
          <th>Description</th>
          <th>Action</th>
        </tr>
      </thead>

      <tfoot>
        <tr>
          <th>Image</th>
          <th>Link Referer</th>
          <th>Name</th>
          <th>Description</th>
          <th>Action</th>
        </tr>
      </tfoot>

      <tbody>
        <?php if (!empty($q_list_link_referer)) : foreach ($q_list_link_referer as $link_referer_data) : ?>
        <tr>
          <td><img src="<?php echo get_bloginfo('wpurl').'/wp-content/uploads/event_banner/'.$link_referer_data->img_src ?>" height="100" /></td>
          <td><?php echo $link_referer_data->link_referer ?></td>
          <td><?php echo $link_referer_data->name ?></td>
          <td><?php echo $link_referer_data->description ?></td>
          <td>
            <input type="submit" id="link_referer_list_edit-<?php echo $link_referer_data->id ?>" value="Edit" name="edit" class="button-primary link_referer_edit">
            <input type="button" id="link_referer_list_change_status-<?php echo $link_referer_data->id ?>" value="<?php echo (($link_referer_data->status == 0)?'Enable':'Disable') ?>" name="status" class="button-secondary link_referer_change_status">
            <input type="button" id="link_referer_list_delete-<?php echo $link_referer_data->id ?>" value="Delete" name="delete" class="button-primary link_referer_delete">
          </td>
        </tr>
        <?php endforeach; endif; ?>
      </tbody>
    </table>
  </div>

<div id="ajax-response"></div>
<br class="clear">
</div>
